# Project Title

Coq Formalization of Implicative (resp. Disjonctive, Conjonctive) Algebras

### Prerequisites

This development compiles under Coq 8.6 with Charguéraud TLC library (which has a git branch for 8.6).
Coq can be installed through opam (which is probably itself in your favorite distribution repositories):
```
opam init -n -j 2 # 2 is the number of CPU cores
opam repo add coq-released http://coq.inria.fr/opam/released
opam install coq.8.6 && opam pin add coq 8.6
```
You might be wanting to install coqide too:
```
opam install coqide
```

The [TLC] (http://www.chargueraud.org/softs/tlc/) library can be installed through the following procedure:
```
git clone https://gitlab.inria.fr/charguer/tlc.git
git checkout coq-8.6
cd tlc
make
make install
```

### Installing

To compile the files, a simple call to the Makefile:
```
make
```
should do the job.
Then you can browse any of the file with CoqIDE or you favorite IDE.

## Authors

* **Étienne Miquey**

## Acknowledgments

* I am very grateful for all the help I got from Théo Zimmerman and the other coqueux in his office.

